Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## cpw.mods.fml.common.network
Annotation Type NetworkMod

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface NetworkMod

Optional Element Summary
`String[]` | `channels` A list of Packet250 network channels to register for this mod - these channels will be universal and will require a universal packethandler to handle them
`NetworkMod.SidedPacketHandler` | `clientPacketHandlerSpec` A packet handler and channels to register for the client side
`boolean` | `clientSideRequired` Does this mod require the client side to be present when installed on a server?
`Class<? extends IConnectionHandler>` | `connectionHandler` A connection handler implementation for this network mod
`Class<? extends IPacketHandler>` | `packetHandler` A packet handler implementation for channels registered through this annotation - this packet handler will be universal and handle both client and server requests.
`NetworkMod.SidedPacketHandler` | `serverPacketHandlerSpec` A packet handler and channels to register for the server side
`boolean` | `serverSideRequired` Does this mod require the server side to be present when installed on a client?
`Class<? extends ITinyPacketHandler>` | `tinyPacketHandler` A tiny packet handler implementation based on `Packet131MapData` for "small" data packet loads.
`String` | `versionBounds` An optional range check for client to server communication version compatibility

### clientSideRequired

    public abstract boolean clientSideRequired

  Does this mod require the client side to be present when installed on a server?

  Default:
    false

### serverSideRequired

    public abstract boolean serverSideRequired

  Does this mod require the server side to be present when installed on a client?

  Default:
    false

### channels

    public abstract String[] channels

  A list of Packet250 network channels to register for this mod - these channels will be universal and will require a universal packethandler to handle them

  Default:
    {}

### versionBounds

    public abstract String versionBounds

  An optional range check for client to server communication version compatibility

  Default:
    ""

### packetHandler

    public abstract Class<? extends IPacketHandler> packetHandler

  A packet handler implementation for channels registered through this annotation - this packet handler will be universal and handle both client and server requests.

  Default:
    cpw.mods.fml.common.network.NetworkMod.NULL.class

### tinyPacketHandler

    public abstract Class<? extends ITinyPacketHandler> tinyPacketHandler

  A tiny packet handler implementation based on `Packet131MapData` for "small" data packet loads.

  Default:
    cpw.mods.fml.common.network.NetworkMod.NULL.class

### connectionHandler

    public abstract Class<? extends IConnectionHandler> connectionHandler

  A connection handler implementation for this network mod

  Default:
    cpw.mods.fml.common.network.NetworkMod.NULL.class

### clientPacketHandlerSpec

    public abstract NetworkMod.SidedPacketHandler clientPacketHandlerSpec

  A packet handler and channels to register for the client side

  Default:
    @cpw.mods.fml.common.network.NetworkMod.SidedPacketHandler(channels={}, packetHandler=cpw.mods.fml.common.network.NetworkMod.NULL.class)

### serverPacketHandlerSpec

    public abstract NetworkMod.SidedPacketHandler serverPacketHandlerSpec

  A packet handler and channels to register for the server side

  Default:
    @cpw.mods.fml.common.network.NetworkMod.SidedPacketHandler(channels={}, packetHandler=cpw.mods.fml.common.network.NetworkMod.NULL.class)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT